import request from '@/utils/request'

// 查询MmWhiteTemplate列表
export function listMmWhiteTemplate(query) {
    return request({
        url: '/api/v1/mm-white-template',
        method: 'get',
        params: query
    })
}

// 查询MmWhiteTemplate详细
export function getMmWhiteTemplate (id) {
    return request({
        url: '/api/v1/mm-white-template/' + id,
        method: 'get'
    })
}


// 新增MmWhiteTemplate
export function addMmWhiteTemplate(data) {
    return request({
        url: '/api/v1/mm-white-template',
        method: 'post',
        data: data
    })
}

// 修改MmWhiteTemplate
export function updateMmWhiteTemplate(data) {
    return request({
        url: '/api/v1/mm-white-template/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除MmWhiteTemplate
export function delMmWhiteTemplate(data) {
    return request({
        url: '/api/v1/mm-white-template',
        method: 'delete',
        data: data
    })
}

